sem_get
sem_remove
Semaphore Functions
PHP Manual

# sem_release

(PHP 4, PHP 5)

sem_release — Release a semaphore

### Description

bool sem_release ( resource `$sem_identifier` )

sem_release() releases the semaphore if it is currently acquired by the calling process, otherwise a warning is generated.

After releasing the semaphore, sem_acquire() may be called to re-acquire it.

### Parameters

`sem_identifier`

  A Semaphore resource handle as returned by sem_get().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- sem_get()
- sem_acquire()

sem_get
sem_remove
Semaphore Functions
PHP Manual